pro dr_jpg_ps, filename

read_jpeg,filename,dat
hdr=strlen(filename)
hdr=strmid(filename,0,hdr-3)+'ps'


siz=18.
set_plot,'ps'
device,filename=hdr, xs=siz,ys=siz,xoffset=2, yoffset=4., $
	bits_per_pixel=16,/portrait
tvscl,dat
device,/close
set_plot,'x'
print,'------- The output PS file is:'
print,''
print,'        '+hdr


end


